GT-SEED_EXTEND(1)

NAME
gt-seed_extend - Calculate local alignments using the seed and extend algorithm.

SYNOPSIS

gt seed_extend [option ...] encseq_basename [encseq_basename]

DESCRIPTION

-ii [string]
    Input index for encseq encoded sequences

-qii [string]
    Query input index (encseq)

-seedlength [value]
    Minimum length of a seed default: logarithm of input length with alphabet size as log-base

-spacedseed [value]
    use spaced seed of length specified by option -seedlength (optional argument specifies weight of spaced seed) (default: 0)

-diagbandwidth [value]
    Logarithm of diagonal band width in the range from 0 to 10 (for filter) (default: 6)

-mincoverage [value]
    Minimum coverage in two neighbouring diagonal bands (for filter) default: 2.5 x seedlength

-diagband-stat [...]
    Compute statistics from diagonal band scores; parameter specifies kind of statistics, possible choices are sum (default: sum)

-maxfreq [value]
    Maximum frequency of a k-mer (for filter) (default: undefined)

-memlimit [string]
    Maximum memory usage to determine the maximum frequency of a k-mer (for filter) (default: undefined)

-extendxdrop [value]
    Extend seed to both sides using xdrop algorithm, optional parameter specifies sensitivity (default: 97)

-xdropbelow [value]
    Specify xdrop cutoff score (0 means automatically defined depending on minidentity)

-extendgreedy [value]
    Extend seed to both sides using greedy algorithm, optional parameter specifies sensitivity (default: 97)

-maxmat [value]
    compute maximal matches of minimum length specified by option -l (default: 1)

-l [value]
    Minimum length of aligned sequences (default: undefined)

-minidentity [value]
    Minimum identity of matches (for seed extension) (default: 80)

-evalue [value]
    switch on evalue filtering of matches (optional argument specifies evalue threshold) (default: 10.000000)

-outfmt
    specify what information about the matches to display alignment: show alignment (possibly followed by =<number> to specify width of alignment columns, default is ) seed_in_algn: mark the seed in alignment polinfo: add polishing information for shown alignment seed: abbreviation for seed.len seed.s seed.q failed_seed: show the coordinates of a seed extension, which does not satisfy the filter conditions fstperquery: output only the first found match per query tabsep: separate columns by tabulator, instead of space as default blast: output matches in blast format 7 (tabular with comment lines; instead of gap opens, indels are displayed) gfa2: output matches in gfa2 format custom: output matches in custom format, i.e. no columns are pre-defined; all columns have to be specified by the user cigar: display cigar string representing alignment (no distinction between match and mismatch) cigarX: display cigar string representing alignment (distinction between match (=) and mismatch (X)) trace: display trace, i.e. a compact representation of an alignment (possibly followed by =<delta>) to specify the delta-value; default value of delta is 50 dtrace: display trace as differences; like trace, but instead of an absolute value x, report the difference delta-x. This leads to smaller numbers and thus a more compact representation s.len: display length of match on subject sequence s.seqnum: display sequence number of subject sequence subject id: display sequence description of subject sequence s.start: display start position of match on subject sequence s.end: display end position of match on subject sequence strand: display strand of match using symbols F (forward) and P (reverse complement) q.len: display length of match on query sequence q.seqnum: display sequence number of query sequence query id: display sequence description of query sequence q.start: display start position of match on query sequence q.end: display end position of match on query sequence alignment length: display length of alignment mismatches: display number of mismatches in alignment indels: display number of indels in alignment gap opens: display number of indels in alignment score: display score of match editdist: display unit edit distance identity: display percent identity of match seed.len: display length seed of the match seed.s: display start position of seed in subject seed.q: display start position of seed in query s.seqlen: display length of subject sequence in which match occurs q.seqlen: display length of query sequence in which match occurs evalue: display evalue bit score: display bit score

-ani [yes|no]
    output average nucleotide identity determined from the computed matches (which are not output) (default: no)

-no-reverse [yes|no]
    do not compute matches on reverse complemented strand (default: no)

-no-forward [yes|no]
    do not compute matches on forward strand (default: no)

-use-apos [yes|no]
    Discard a seed only if both apos and bpos overlap with a previous successful alignment (default: no)

-parts [value]
    Divide data into specified number of parts (default: 1)

-kmerfile [yes|no]
    Use pre-calculated k-mers from file (if exist) (default: yes)

-v [yes|no]
    be verbose (default: no)

-help
    display help and exit

-version
    display version information and exit

REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.